#    *** tests ***
mkdir tests
echo "Generating test #22"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 10 10 1 20 42978" "tests/22" 22
echo "Generating test #23"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 10 10 2 20 98234" "tests/23" 23
echo "Generating test #24"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 10 10 3 20 87344" "tests/24" 24
echo "Generating test #25"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 10 10 9 20 4 98734" "tests/25" 25
echo "Generating test #26"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 10 10 10 20 5 3822" "tests/26" 26
echo "Generating test #27"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 10 10 1 40 6 902331" "tests/27" 27
echo "Generating test #28"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 10 10 7 40 12 49033" "tests/28" 28
echo "Generating test #29"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 10 10 8 40 13 4722" "tests/29" 29
echo "Generating test #30"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 10 10 9 40 14 90831" "tests/30" 30
echo "Generating test #31"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 10 10 10 40 15 2348" "tests/31" 31
echo "Generating test #32"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 30 30 15 150 17 78211" "tests/32" 32
echo "Generating test #33"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 50 50 25 200 19 10101" "tests/33" 33
echo "Generating test #34"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 80 80 40 400 22 982" "tests/34" 34
echo "Generating test #35"
scripts/gen-input-via-stdout.sh "wine files/gen_random_ge.exe 100 100 30 1000 24 3287" "tests/35" 35
echo "Generating test #36"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 10 10 5 30 8973" "tests/36" 36
echo "Generating test #37"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 10 10 6 35 98723" "tests/37" 37
echo "Generating test #38"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 20 10 4 50 8901" "tests/38" 38
echo "Generating test #39"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 10 20 2 10 8923" "tests/39" 39
echo "Generating test #40"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 15 15 10 20 981011" "tests/40" 40
echo "Generating test #41"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 30 30 15 100 10111" "tests/41" 41
echo "Generating test #42"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 40 20 20 50 777" "tests/42" 42
echo "Generating test #43"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 40 20 10 100 811" "tests/43" 43
echo "Generating test #44"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 20 40 30 100 12310" "tests/44" 44
echo "Generating test #45"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 30 50 20 200 718" "tests/45" 45
echo "Generating test #46"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 50 50 50 200 239" "tests/46" 46
echo "Generating test #47"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 10 60 60 40 9823" "tests/47" 47
echo "Generating test #48"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 60 4 2 50 4391" "tests/48" 48
echo "Generating test #49"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 60 60 60 600 8111" "tests/49" 49
echo "Generating test #50"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 100 10 300 1672" "tests/50" 50
echo "Generating test #51"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 100 20 500 98401" "tests/51" 51
echo "Generating test #52"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 100 30 600 1011100" "tests/52" 52
echo "Generating test #53"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 100 50 1000 909" "tests/53" 53
echo "Generating test #54"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 100 100 50 1000 678" "tests/54" 54
echo "Generating test #55"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 100 100 100 1000 8910" "tests/55" 55
echo "Generating test #56"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 100 100 1000 811" "tests/56" 56
echo "Generating test #57"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 100 100 1000 6781" "tests/57" 57
echo "Generating test #58"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 100 100 1000 98101" "tests/58" 58
echo "Generating test #59"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 100 100 100 1000 81100" "tests/59" 59
echo "Generating test #60"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 100 100 100 1000 91234" "tests/60" 60
echo "Generating test #61"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 20 20 500 821032" "tests/61" 61
echo "Generating test #62"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 100 20 10 300 1701" "tests/62" 62
echo "Generating test #63"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 40 100 50 750 7373" "tests/63" 63
echo "Generating test #64"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 30 100 50 500 815607" "tests/64" 64
echo "Generating test #65"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 20 100 100 300 8101" "tests/65" 65
echo "Generating test #66"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 35 100 50 400 86081" "tests/66" 66
echo "Generating test #67"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 100 100 50 1000 717710" "tests/67" 67
echo "Generating test #68"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 100 100 100 1000 7153" "tests/68" 68
echo "Generating test #69"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 100 50 1000 815" "tests/69" 69
echo "Generating test #70"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 100 75 1000 70321" "tests/70" 70
echo "Generating test #71"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 40 40 1000 82301" "tests/71" 71
echo "Generating test #72"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 2 100 40 40 1000 9591" "tests/72" 72
echo "Generating test #73"
scripts/gen-input-via-stdout.sh "wine files/gen_ge.exe 1 100 100 100 1000 23" "tests/73" 73
echo ""
echo "Generating answer for test #1"
scripts/gen-answer.sh tests/01 tests/01.a
echo ""
echo "Generating answer for test #2"
scripts/gen-answer.sh tests/02 tests/02.a
echo ""
echo "Generating answer for test #3"
scripts/gen-answer.sh tests/03 tests/03.a
echo ""
echo "Generating answer for test #4"
scripts/gen-answer.sh tests/04 tests/04.a
echo ""
echo "Generating answer for test #5"
scripts/gen-answer.sh tests/05 tests/05.a
echo ""
echo "Generating answer for test #6"
scripts/gen-answer.sh tests/06 tests/06.a
echo ""
echo "Generating answer for test #7"
scripts/gen-answer.sh tests/07 tests/07.a
echo ""
echo "Generating answer for test #8"
scripts/gen-answer.sh tests/08 tests/08.a
echo ""
echo "Generating answer for test #9"
scripts/gen-answer.sh tests/09 tests/09.a
echo ""
echo "Generating answer for test #10"
scripts/gen-answer.sh tests/10 tests/10.a
echo ""
echo "Generating answer for test #11"
scripts/gen-answer.sh tests/11 tests/11.a
echo ""
echo "Generating answer for test #12"
scripts/gen-answer.sh tests/12 tests/12.a
echo ""
echo "Generating answer for test #13"
scripts/gen-answer.sh tests/13 tests/13.a
echo ""
echo "Generating answer for test #14"
scripts/gen-answer.sh tests/14 tests/14.a
echo ""
echo "Generating answer for test #15"
scripts/gen-answer.sh tests/15 tests/15.a
echo ""
echo "Generating answer for test #16"
scripts/gen-answer.sh tests/16 tests/16.a
echo ""
echo "Generating answer for test #17"
scripts/gen-answer.sh tests/17 tests/17.a
echo ""
echo "Generating answer for test #18"
scripts/gen-answer.sh tests/18 tests/18.a
echo ""
echo "Generating answer for test #19"
scripts/gen-answer.sh tests/19 tests/19.a
echo ""
echo "Generating answer for test #20"
scripts/gen-answer.sh tests/20 tests/20.a
echo ""
echo "Generating answer for test #21"
scripts/gen-answer.sh tests/21 tests/21.a
echo ""
echo "Generating answer for test #22"
scripts/gen-answer.sh tests/22 tests/22.a
echo ""
echo "Generating answer for test #23"
scripts/gen-answer.sh tests/23 tests/23.a
echo ""
echo "Generating answer for test #24"
scripts/gen-answer.sh tests/24 tests/24.a
echo ""
echo "Generating answer for test #25"
scripts/gen-answer.sh tests/25 tests/25.a
echo ""
echo "Generating answer for test #26"
scripts/gen-answer.sh tests/26 tests/26.a
echo ""
echo "Generating answer for test #27"
scripts/gen-answer.sh tests/27 tests/27.a
echo ""
echo "Generating answer for test #28"
scripts/gen-answer.sh tests/28 tests/28.a
echo ""
echo "Generating answer for test #29"
scripts/gen-answer.sh tests/29 tests/29.a
echo ""
echo "Generating answer for test #30"
scripts/gen-answer.sh tests/30 tests/30.a
echo ""
echo "Generating answer for test #31"
scripts/gen-answer.sh tests/31 tests/31.a
echo ""
echo "Generating answer for test #32"
scripts/gen-answer.sh tests/32 tests/32.a
echo ""
echo "Generating answer for test #33"
scripts/gen-answer.sh tests/33 tests/33.a
echo ""
echo "Generating answer for test #34"
scripts/gen-answer.sh tests/34 tests/34.a
echo ""
echo "Generating answer for test #35"
scripts/gen-answer.sh tests/35 tests/35.a
echo ""
echo "Generating answer for test #36"
scripts/gen-answer.sh tests/36 tests/36.a
echo ""
echo "Generating answer for test #37"
scripts/gen-answer.sh tests/37 tests/37.a
echo ""
echo "Generating answer for test #38"
scripts/gen-answer.sh tests/38 tests/38.a
echo ""
echo "Generating answer for test #39"
scripts/gen-answer.sh tests/39 tests/39.a
echo ""
echo "Generating answer for test #40"
scripts/gen-answer.sh tests/40 tests/40.a
echo ""
echo "Generating answer for test #41"
scripts/gen-answer.sh tests/41 tests/41.a
echo ""
echo "Generating answer for test #42"
scripts/gen-answer.sh tests/42 tests/42.a
echo ""
echo "Generating answer for test #43"
scripts/gen-answer.sh tests/43 tests/43.a
echo ""
echo "Generating answer for test #44"
scripts/gen-answer.sh tests/44 tests/44.a
echo ""
echo "Generating answer for test #45"
scripts/gen-answer.sh tests/45 tests/45.a
echo ""
echo "Generating answer for test #46"
scripts/gen-answer.sh tests/46 tests/46.a
echo ""
echo "Generating answer for test #47"
scripts/gen-answer.sh tests/47 tests/47.a
echo ""
echo "Generating answer for test #48"
scripts/gen-answer.sh tests/48 tests/48.a
echo ""
echo "Generating answer for test #49"
scripts/gen-answer.sh tests/49 tests/49.a
echo ""
echo "Generating answer for test #50"
scripts/gen-answer.sh tests/50 tests/50.a
echo ""
echo "Generating answer for test #51"
scripts/gen-answer.sh tests/51 tests/51.a
echo ""
echo "Generating answer for test #52"
scripts/gen-answer.sh tests/52 tests/52.a
echo ""
echo "Generating answer for test #53"
scripts/gen-answer.sh tests/53 tests/53.a
echo ""
echo "Generating answer for test #54"
scripts/gen-answer.sh tests/54 tests/54.a
echo ""
echo "Generating answer for test #55"
scripts/gen-answer.sh tests/55 tests/55.a
echo ""
echo "Generating answer for test #56"
scripts/gen-answer.sh tests/56 tests/56.a
echo ""
echo "Generating answer for test #57"
scripts/gen-answer.sh tests/57 tests/57.a
echo ""
echo "Generating answer for test #58"
scripts/gen-answer.sh tests/58 tests/58.a
echo ""
echo "Generating answer for test #59"
scripts/gen-answer.sh tests/59 tests/59.a
echo ""
echo "Generating answer for test #60"
scripts/gen-answer.sh tests/60 tests/60.a
echo ""
echo "Generating answer for test #61"
scripts/gen-answer.sh tests/61 tests/61.a
echo ""
echo "Generating answer for test #62"
scripts/gen-answer.sh tests/62 tests/62.a
echo ""
echo "Generating answer for test #63"
scripts/gen-answer.sh tests/63 tests/63.a
echo ""
echo "Generating answer for test #64"
scripts/gen-answer.sh tests/64 tests/64.a
echo ""
echo "Generating answer for test #65"
scripts/gen-answer.sh tests/65 tests/65.a
echo ""
echo "Generating answer for test #66"
scripts/gen-answer.sh tests/66 tests/66.a
echo ""
echo "Generating answer for test #67"
scripts/gen-answer.sh tests/67 tests/67.a
echo ""
echo "Generating answer for test #68"
scripts/gen-answer.sh tests/68 tests/68.a
echo ""
echo "Generating answer for test #69"
scripts/gen-answer.sh tests/69 tests/69.a
echo ""
echo "Generating answer for test #70"
scripts/gen-answer.sh tests/70 tests/70.a
echo ""
echo "Generating answer for test #71"
scripts/gen-answer.sh tests/71 tests/71.a
echo ""
echo "Generating answer for test #72"
scripts/gen-answer.sh tests/72 tests/72.a
echo ""
echo "Generating answer for test #73"
scripts/gen-answer.sh tests/73 tests/73.a
echo ""

#    *** gen_random_trial ***
echo ""

#    *** handmade_trial ***
echo ""

